
QGIS Application - Bug report #15093

Load style from .qml does not apply label settings

2016-06-21 08:02 PM - Nathan Perry

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.14.3 Regression?: No

Operating System: Mac OS Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23035

Description

To reproduce:

1. Save a labeled vector layer's style as a .qml file.

2. Create a new vector layer OR add an existing vector layer with different label settings.

3. Choose "Load style" and select the .qml file (example attached).

Labeling will be activated (if not already) but the settings will not change from their last-used state (default settings if it's a new layer).

Symbology is correctly shown (as a blank symbol in the example .qml), and the label setting seem to be correctly written in the .qml file.

History

#1 - 2016-06-22 12:15 AM - R. R.

See also: #14224

Here in QGIS master (Win7) everything seems to work.

#2 - 2016-06-22 04:50 AM - Nathan Perry

Yes, I thought it might be related to that issue. I can confirm that the 'Cancel' workaround does not work for me in 2.14.3, but maybe I don't have the fix

applied yet in this update somehow?

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

IncPlaceLbl.qml 18.5 KB 2016-06-21 Nathan Perry

Archive.zip 1.38 MB 2016-06-21 Nathan Perry
